Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.marklogic.xcc.exceptions
Class RequestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.marklogic.xcc.exceptions.XccException
                  com.marklogic.xcc.exceptions.RequestException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RequestPermissionException, RequestServerException, ServerConnectionException

    public class RequestException

extends XccException

The base class for exceptions related to submitting requests to the server.

See Also:
  Serialized Form

Constructor Summary
`RequestException(String message, Request request)`
`RequestException(String message, Request request, Throwable cause)`

Method Summary
`protected void` | `appendRequestInfo(StringBuffer sb)`
`Request` | `getRequest()` The initiating request to which this exception applies.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestException

    public RequestException(String message,
                            Request request)

### RequestException

    public RequestException(String message,
                            Request request,
                            Throwable cause)

Method Detail

### getRequest

    public Request getRequest()

  The initiating request to which this exception applies.

  Returns:
    An instance of `Request`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### appendRequestInfo

    protected void appendRequestInfo(StringBuffer sb)

Overview | Package | Class | Tree | Deprecated | Index | Help
| XCC/J 4.2-9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 MarkLogic Corporation, All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com